<div>
    <mat-form-field appearance="outline">
        <span matPrefix style="margin-right: 8px;">
            <mat-icon fontSet="material-symbols-rounded">edit_location_alt</mat-icon>
        </span>
        <mat-label>{{placeHolder}}</mat-label>
        <input matInput [placeholder]="placeHolder" [(ngModel)]="innerValue" (ngModelChange)="handleCityChange()">
        <mat-icon *ngIf="innerValue" fontSet="material-symbols-rounded" matSuffix (click)="clearInput()"
            style="cursor: pointer;">close
        </mat-icon>
    </mat-form-field>
    <ul class="result-bloc" *ngIf="citiesFiltered && citiesFiltered.length && innerValue" style="margin-bottom: 20px;">
        <ng-container *ngFor="let city of citiesFiltered;let isFirst=first;">
            <li class="d-flex" [ngClass]="{'isFocus': isFirst}" style="gap: 10px;"
                (click)="handleCitySelected(city.ID!)">
                <div class="mt-2">
                    <mat-icon fontSet="material-symbols-rounded">near_me</mat-icon>
                </div>
                <p class="mt-2" style="line-height: 1.5;">{{ city.CityValue?.Label }}</p>
            </li>
        </ng-container>

    </ul>
</div>